on-premise deployment

MySQL and PostgreSQL versions Supported by OnPremise IDP

Supported Database Versions
Database Provider Supported Versions Supported Operating Systems
MySQL 8.0 Windows :- Server 2012 R2,2016,2019,Windows 10,
Linux :- Ubuntu 16.04 and above, Debian/GNU 9 and above,SUSE Linux 12.3 and above, Solaris 11, FreeBSD 12, Oracle Linux 6 / Red Hat Enterprise Linux 6 / CentOS 6
MacOS :- macOS 10.13 and above
5.7 Windows :- Server 2012 R2,2016,Windows 10,
Linux :- Ubuntu 16.04 and above, Debian/GNU 8 and above,SUSE Linux 12(12.3 and above), Solaris 11, FreeBSD 12, Oracle Linux 6 & 7 / Red Hat Enterprise Linux 6 & 7 / CentOS 6 & 7
MacOS :- macOS 10.13 and above
5.6 Windows :- Server 2012 R2,2016
Linux :- Debian/GNU Versions 8 & 9, SUSE Linux 12(12.3 and above), Solaris 10(Update 11+) & 11(Update 4+), Oracle Linux 6 & 7 / Red Hat Enterprise Linux 6 & 7 / CentOS 6 & 7
PostgreSQL 9.6 Windows :- Windows 2012 R2 & R1, 2008 R2, 7, 8, 10
macOS :- macOS version 10.8 and above
Linux :- Ubuntu 14.04 LTS and above , Debian 7 and above ,SUSE 12 and above ,Oracle Linux 6 / Red Hat Enterprise Linux 6 / CentOS 6 and above , Fedora 29 and above
9.5 Windows :- Windows 2012 R2 & R1, 2008 R2, 7 ,8 ,10
macOS :- macOS version 10.10 and above
Linux :- Ubuntu 14.04 LTS and above , Debian 7 ,SUSE 12 and above ,Oracle Linux 6 / Red Hat Enterprise Linux 6 / CentOS 6 and above , Fedora 29 and above
9.4 Windows :- Windows 2012 R2, 2008 R2, 2008 R1, 7, 8 ,10
macOS :- macOS version 10.6 to 10.9
Linux :- Ubuntu 14.04 LTS and above , Debian 7 , SUSE 11 ,Oracle Linux 6 / Red Hat Enterprise Linux 6 / CentOS 6 and above , Fedora 29 and above
9.3 Windows :- Windows 2012 R2, 2008 R2, 2008 R1, 7, 8, 10
macOS :- macOS version 10.6 to 10.9
Linux :- Ubuntu 14.04 LTS and above , Debian 7 ,SUSE 11 ,Oracle Linux 6 / Red Hat Enterprise Linux 6 / CentOS 6 and above , Fedora 29 and above
Archived Version
9.2 Windows :- Windows 2008 R2, 2008 R1, 2000, XP, Vista, 7
macOS :- upto macOS version 10.6
Linux :- All versions supported by 9.3

Archived Version:- Archived versions may not support proper functionality with our JDBC driver.
All minor versions of above mentioned Major versions are supported.
To confirm if the IDP is compatible with your Database version , drop a query here .